VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL loadincr
        SIGNAL loadrst
        SIGNAL ClkIn
        SIGNAL result_a(31:0)
        SIGNAL F_RS
        SIGNAL F_DS
        SIGNAL F_MOSI
        SIGNAL F_SCK
        SIGNAL ramd(31:0)
        SIGNAL F_MISO
        SIGNAL XLXN_117(31:0)
        SIGNAL XLXN_38(3:0)
        SIGNAL XLXN_282(3:0)
        SIGNAL ramd(15:0)
        SIGNAL test_adr(31:0)
        SIGNAL test_adr(9:0)
        SIGNAL result_a(15:0)
        SIGNAL DAC(15:0)
        SIGNAL counter(31:0)
        SIGNAL control(31:0)
        SIGNAL result_b(15:0)
        SIGNAL XLXN_725
        SIGNAL XLXN_727
        SIGNAL coresel(7:0)
        SIGNAL coresel(0)
        SIGNAL coresel(1)
        SIGNAL result_b(31:0)
        SIGNAL XLXN_706
        SIGNAL counter(15:0)
        SIGNAL control(0)
        SIGNAL XLXN_756
        SIGNAL counter(15:6)
        SIGNAL XLXN_758
        SIGNAL ramd(7:0)
        SIGNAL XLXN_767
        SIGNAL XLXN_776
        SIGNAL XLXN_785
        SIGNAL TestLED
        SIGNAL DAC_WR
        SIGNAL DAC_MPX
        SIGNAL DAC_CLK
        SIGNAL XLXN_794
        SIGNAL counter(5)
        SIGNAL RAM_OE
        SIGNAL RAM_WR
        PORT Input ClkIn
        PORT Input F_RS
        PORT Input F_DS
        PORT Input F_MOSI
        PORT Input F_SCK
        PORT Output F_MISO
        PORT Output DAC(15:0)
        PORT Output TestLED
        PORT Output DAC_WR
        PORT Output DAC_MPX
        PORT Output DAC_CLK
        PORT Output RAM_OE
        PORT Output RAM_WR
        BEGIN BLOCKDEF buf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 0 128 -32 
            LINE N 128 -32 64 -64 
            LINE N 64 -64 64 0 
        END BLOCKDEF
        BEGIN BLOCKDEF constant
            TIMESTAMP 2006 1 1 10 10 10
            RECTANGLE N 0 0 112 64 
            LINE N 144 32 112 32 
        END BLOCKDEF
        BEGIN BLOCKDEF SPI
            TIMESTAMP 2009 2 4 9 53 44
            RECTANGLE N 64 -640 320 0 
            LINE N 64 -608 0 -608 
            LINE N 64 -544 0 -544 
            LINE N 64 -480 0 -480 
            LINE N 64 -416 0 -416 
            LINE N 64 -352 0 -352 
            RECTANGLE N 0 -300 64 -276 
            LINE N 64 -288 0 -288 
            RECTANGLE N 0 -236 64 -212 
            LINE N 64 -224 0 -224 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            LINE N 320 -608 384 -608 
            RECTANGLE N 320 -300 384 -276 
            LINE N 320 -288 384 -288 
            RECTANGLE N 320 -236 384 -212 
            LINE N 320 -224 384 -224 
            RECTANGLE N 320 -172 384 -148 
            LINE N 320 -160 384 -160 
            RECTANGLE N 320 -108 384 -84 
            LINE N 320 -96 384 -96 
            LINE N 320 -544 384 -544 
            LINE N 320 -480 384 -480 
            LINE N 320 -416 384 -416 
            LINE N 320 -352 384 -352 
        END BLOCKDEF
        BEGIN BLOCKDEF SPI_LC
            TIMESTAMP 2009 2 6 8 30 23
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            RECTANGLE N 320 -108 384 -84 
            LINE N 320 -96 384 -96 
            LINE N 64 -352 0 -352 
            LINE N 64 -224 0 -224 
            LINE N 64 -288 0 -288 
            LINE N 64 -96 0 -96 
            LINE N 64 -160 0 -160 
            RECTANGLE N 64 -384 320 0 
            LINE N 320 -160 384 -160 
            RECTANGLE N 320 -236 384 -212 
            LINE N 320 -224 384 -224 
            LINE N 320 -288 384 -288 
        END BLOCKDEF
        BEGIN BLOCKDEF loadram
            TIMESTAMP 2009 2 8 11 34 33
            RECTANGLE N 384 -44 448 -20 
            LINE N 384 -32 448 -32 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            RECTANGLE N 64 -320 384 0 
            LINE N 64 -288 0 -288 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF cb16ce
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 384 -192 320 -192 
            RECTANGLE N 320 -268 384 -244 
            LINE N 384 -256 320 -256 
            LINE N 0 -192 64 -192 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 0 -128 64 -128 
            LINE N 0 -32 64 -32 
            LINE N 384 -128 320 -128 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF d2_4e
            TIMESTAMP 2000 1 1 10 10 10
            RECTANGLE N 64 -384 320 -64 
            LINE N 0 -128 64 -128 
            LINE N 0 -256 64 -256 
            LINE N 0 -320 64 -320 
            LINE N 384 -128 320 -128 
            LINE N 384 -192 320 -192 
            LINE N 384 -256 320 -256 
            LINE N 384 -320 320 -320 
        END BLOCKDEF
        BEGIN BLOCKDEF loadram_in8
            TIMESTAMP 2009 2 8 14 55 1
            RECTANGLE N 64 -320 384 0 
            LINE N 64 -288 0 -288 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            RECTANGLE N 384 -44 448 -20 
            LINE N 384 -32 448 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCK XLXI_102 SPI
            PIN SYSCLK ClkIn
            PIN F_DS F_DS
            PIN F_RS F_RS
            PIN F_SCLK F_SCK
            PIN F_MOSI F_MOSI
            PIN D0(31:0) result_a(31:0)
            PIN D1(31:0) result_b(31:0)
            PIN D2(31:0) counter(31:0)
            PIN D3(31:0) XLXN_117(31:0)
            PIN BASEADR(3:0) XLXN_38(3:0)
            PIN F_MISO F_MISO
            PIN Q0(31:0) test_adr(31:0)
            PIN Q1(31:0) control(31:0)
            PIN Q2(31:0)
            PIN Q3(31:0)
            PIN STROBE0
            PIN STROBE1
            PIN STROBE2
            PIN STROBE3
        END BLOCK
        BEGIN BLOCK XLXI_54 constant
            BEGIN ATTR CValue "08022009"
                DELETE all:1 sym:0
                EDITNAME all:1 sch:0
                VALUETYPE BitVector 32 Hexadecimal
            END ATTR
            PIN O XLXN_117(31:0)
        END BLOCK
        BEGIN BLOCK XLXI_20 constant
            BEGIN ATTR CValue "0"
                DELETE all:1 sym:0
                EDITNAME all:1 sch:0
                VALUETYPE BitVector 32 Hexadecimal
            END ATTR
            PIN O XLXN_38(3:0)
        END BLOCK
        BEGIN BLOCK XLXI_113 constant
            BEGIN ATTR CValue "8"
                DELETE all:1 sym:0
                EDITNAME all:1 sch:0
                VALUETYPE BitVector 32 Hexadecimal
            END ATTR
            PIN O XLXN_282(3:0)
        END BLOCK
        BEGIN BLOCK XLXI_114 SPI_LC
            PIN F_RS F_RS
            PIN F_MOSI F_MOSI
            PIN F_DS F_DS
            PIN F_SCLK F_SCK
            PIN SYSCLK ClkIn
            PIN BASEADR(3:0) XLXN_282(3:0)
            PIN RAMD(31:0) ramd(31:0)
            PIN RAMINCR loadincr
            PIN CORESEL(7:0) coresel(7:0)
            PIN CORERST loadrst
        END BLOCK
        BEGIN BLOCK XLXI_115 loadram
            PIN reset loadrst
            PIN incr_pulse XLXN_727
            PIN dataout(15:0) result_a(15:0)
            PIN sysclk ClkIn
            PIN addr(9:0) counter(15:6)
            PIN datain(15:0) ramd(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_116(15:0) buf
            PIN I result_a(15:0)
            PIN O DAC(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_298 d2_4e
            PIN A0 coresel(0)
            PIN A1 coresel(1)
            PIN E loadincr
            PIN D0 XLXN_727
            PIN D1 XLXN_725
            PIN D2
            PIN D3
        END BLOCK
        BEGIN BLOCK XLXI_288 cb16ce
            PIN C ClkIn
            PIN CE XLXN_706
            PIN CLR control(0)
            PIN CEO
            PIN Q(15:0) counter(15:0)
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_289 vcc
            PIN P XLXN_706
        END BLOCK
        BEGIN BLOCK XLXI_299 loadram_in8
            PIN sysclk ClkIn
            PIN reset loadrst
            PIN incr_pulse XLXN_725
            PIN addr(9:0) test_adr(9:0)
            PIN datain(7:0) ramd(7:0)
            PIN dataout(15:0) result_b(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_218 buf
            PIN I counter(5)
            PIN O DAC_WR
        END BLOCK
        BEGIN BLOCK XLXI_264 buf
            PIN I counter(5)
            PIN O DAC_CLK
        END BLOCK
        BEGIN BLOCK XLXI_228 buf
            PIN I
            PIN O DAC_MPX
        END BLOCK
        BEGIN BLOCK XLXI_324 inv
            PIN I coresel(0)
            PIN O TestLED
        END BLOCK
        BEGIN BLOCK XLXI_215 vcc
            PIN P RAM_OE
        END BLOCK
        BEGIN BLOCK XLXI_216 vcc
            PIN P RAM_WR
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE XLXI_102 576 1488 R0
        END INSTANCE
        BEGIN BRANCH result_a(31:0)
            WIRE 288 1200 576 1200
            BEGIN DISPLAY 288 1200 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH F_RS
            WIRE 288 1008 496 1008
            WIRE 496 1008 576 1008
            WIRE 496 432 576 432
            WIRE 496 432 496 1008
        END BRANCH
        BEGIN BRANCH F_DS
            WIRE 288 944 480 944
            WIRE 480 944 576 944
            WIRE 480 368 576 368
            WIRE 480 368 480 944
        END BRANCH
        BEGIN BRANCH F_MOSI
            WIRE 288 1136 528 1136
            WIRE 528 1136 576 1136
            WIRE 528 560 576 560
            WIRE 528 560 528 1136
        END BRANCH
        BEGIN BRANCH F_SCK
            WIRE 288 1072 512 1072
            WIRE 512 1072 576 1072
            WIRE 512 496 576 496
            WIRE 512 496 512 1072
        END BRANCH
        BEGIN BRANCH ramd(31:0)
            WIRE 960 560 1088 560
            BEGIN DISPLAY 1088 560 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH F_MISO
            WIRE 288 768 976 768
            WIRE 976 768 976 880
            WIRE 960 880 976 880
        END BRANCH
        BEGIN BRANCH XLXN_117(31:0)
            WIRE 416 1584 480 1584
            WIRE 480 1392 480 1584
            WIRE 480 1392 576 1392
        END BRANCH
        BEGIN BRANCH XLXN_38(3:0)
            WIRE 416 1696 528 1696
            WIRE 528 1456 528 1696
            WIRE 528 1456 576 1456
        END BRANCH
        BEGIN BRANCH XLXN_282(3:0)
            WIRE 320 624 576 624
        END BRANCH
        IOMARKER 288 1008 F_RS R180 28
        IOMARKER 288 944 F_DS R180 28
        IOMARKER 288 1136 F_MOSI R180 28
        IOMARKER 288 1072 F_SCK R180 28
        IOMARKER 288 768 F_MISO R180 28
        BEGIN INSTANCE XLXI_113 176 592 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_114 576 656 R0
        END INSTANCE
        BEGIN DISPLAY 144 528 TEXT Basis=128
            FONT 40 "Arial"
        END DISPLAY
        BEGIN DISPLAY 588 216 TEXT "SPI-LoadCore fuer AutoInc-Register"
            FONT 32 "Arial"
        END DISPLAY
        BEGIN BRANCH ClkIn
            WIRE 288 880 400 880
            WIRE 400 880 576 880
            WIRE 400 304 576 304
            WIRE 400 304 400 704
            WIRE 400 704 400 880
            WIRE 400 704 1360 704
            WIRE 1360 704 1600 704
            WIRE 1600 704 1984 704
            WIRE 1360 704 1360 1712
            WIRE 1360 1712 1568 1712
            WIRE 1600 304 1984 304
            WIRE 1600 304 1600 704
        END BRANCH
        BEGIN BRANCH test_adr(31:0)
            WIRE 960 1200 1040 1200
            BEGIN DISPLAY 1040 1200 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH result_a(15:0)
            WIRE 2432 560 2576 560
            WIRE 2576 560 2704 560
            BEGIN DISPLAY 2576 560 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DAC(15:0)
            WIRE 2928 560 2944 560
            WIRE 2944 560 3056 560
        END BRANCH
        INSTANCE XLXI_116(15:0) 2704 592 R0
        IOMARKER 288 880 ClkIn R180 28
        BEGIN BRANCH control(31:0)
            WIRE 960 1264 1040 1264
            BEGIN DISPLAY 1040 1264 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_115 1984 592 R0
        END INSTANCE
        BEGIN BRANCH result_b(15:0)
            WIRE 2432 960 2544 960
            BEGIN DISPLAY 2544 960 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_725
            WIRE 1760 1008 1888 1008
            WIRE 1888 832 1888 1008
            WIRE 1888 832 1984 832
        END BRANCH
        BEGIN BRANCH coresel(7:0)
            WIRE 960 432 1088 432
            BEGIN DISPLAY 1088 432 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH coresel(0)
            WIRE 1216 944 1376 944
            BEGIN DISPLAY 1216 944 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH coresel(1)
            WIRE 1216 1008 1376 1008
            BEGIN DISPLAY 1216 1008 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_54 272 1552 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_20 272 1664 R0
        END INSTANCE
        BEGIN BRANCH counter(31:0)
            WIRE 288 1328 576 1328
            BEGIN DISPLAY 288 1328 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH result_b(31:0)
            WIRE 288 1264 576 1264
            BEGIN DISPLAY 288 1264 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_298 1376 1264 R0
        BEGIN BRANCH XLXN_727
            WIRE 1760 944 1856 944
            WIRE 1856 432 1984 432
            WIRE 1856 432 1856 944
        END BRANCH
        INSTANCE XLXI_288 1568 1840 R0
        INSTANCE XLXI_289 1440 1568 R0
        BEGIN BRANCH XLXN_706
            WIRE 1504 1568 1504 1648
            WIRE 1504 1648 1568 1648
        END BRANCH
        BEGIN BRANCH counter(15:0)
            WIRE 1952 1584 2032 1584
            BEGIN DISPLAY 2032 1584 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH control(0)
            WIRE 1392 1808 1568 1808
            BEGIN DISPLAY 1392 1808 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH test_adr(9:0)
            WIRE 1808 1264 1920 1264
            WIRE 1920 896 1984 896
            WIRE 1920 896 1920 1264
            BEGIN DISPLAY 1808 1264 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH loadrst
            WIRE 960 368 1168 368
            WIRE 1168 368 1504 368
            WIRE 1504 368 1984 368
            WIRE 1504 368 1504 768
            WIRE 1504 768 1984 768
            BEGIN DISPLAY 1168 368 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH counter(15:6)
            WIRE 1808 496 1984 496
            BEGIN DISPLAY 1808 496 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH loadincr
            WIRE 960 496 1264 496
            WIRE 1264 496 1264 1136
            WIRE 1264 1136 1376 1136
        END BRANCH
        BEGIN INSTANCE XLXI_299 1984 992 R0
        END INSTANCE
        BEGIN BRANCH ramd(15:0)
            WIRE 1808 560 1984 560
            BEGIN DISPLAY 1808 560 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ramd(7:0)
            WIRE 1808 1328 1952 1328
            WIRE 1952 960 1984 960
            WIRE 1952 960 1952 1328
            BEGIN DISPLAY 1808 1328 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN DISPLAY 2412 360 TEXT "16 Bit Breite fuer MEM- und DEC-Files"
            FONT 32 "Arial"
        END DISPLAY
        BEGIN DISPLAY 2416 768 TEXT "8 Bit Eingangs-Breite speziell fuer DAT-Files"
            FONT 32 "Arial"
        END DISPLAY
        BEGIN DISPLAY 1964 1480 TEXT "Counter fuer Test-Ausgangswerte DAC"
            FONT 32 "Arial"
        END DISPLAY
        IOMARKER 3056 560 DAC(15:0) R0 28
        BEGIN BRANCH TestLED
            WIRE 3040 1376 3056 1376
        END BRANCH
        BEGIN BRANCH DAC_WR
            WIRE 3040 1040 3056 1040
        END BRANCH
        INSTANCE XLXI_218 2816 1072 R0
        INSTANCE XLXI_264 2816 1312 R0
        INSTANCE XLXI_228 2816 1232 R0
        BEGIN BRANCH DAC_MPX
            WIRE 3040 1200 3056 1200
        END BRANCH
        BEGIN BRANCH DAC_CLK
            WIRE 3040 1280 3056 1280
        END BRANCH
        BEGIN BRANCH coresel(0)
            WIRE 2592 1376 2816 1376
            BEGIN DISPLAY 2592 1376 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH counter(5)
            WIRE 2592 1280 2688 1280
            WIRE 2688 1280 2816 1280
            WIRE 2688 1040 2816 1040
            WIRE 2688 1040 2688 1280
            BEGIN DISPLAY 2592 1280 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        IOMARKER 3056 1376 TestLED R0 28
        IOMARKER 3056 1040 DAC_WR R0 28
        IOMARKER 3056 1280 DAC_CLK R0 28
        IOMARKER 3056 1200 DAC_MPX R0 28
        BEGIN DISPLAY 2416 816 TEXT "Reihenfolge LSB first, Little Endian"
            FONT 32 "Arial"
        END DISPLAY
        INSTANCE XLXI_324 2816 1408 R0
        BEGIN DISPLAY 2416 864 TEXT "d.h. Bytefolge 55h, AAh wird zu Ausgangswert AA55h"
            FONT 32 "Arial"
        END DISPLAY
        BEGIN BRANCH RAM_OE
            WIRE 2912 1664 2912 1728
            WIRE 2912 1728 3056 1728
        END BRANCH
        INSTANCE XLXI_215 2848 1664 R0
        BEGIN BRANCH RAM_WR
            WIRE 2912 1856 2912 1920
            WIRE 2912 1920 3056 1920
        END BRANCH
        INSTANCE XLXI_216 2848 1856 R0
        IOMARKER 3056 1728 RAM_OE R0 28
        IOMARKER 3056 1920 RAM_WR R0 28
        BEGIN DISPLAY 2664 1480 TEXT "TestLed leuchtet wenn zweites RAM selektiert"
            FONT 32 "Arial"
        END DISPLAY
    END SHEET
END SCHEMATIC
